<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <file name='/etc/eole/ldapconf.conf'/>
        <file name='/etc/apparmor.d/tunables/home.d/homescribe'/>
    </files>
    <containers>
        <container name='annuaire'>
            <file name='/var/lib/eole/02_scribe.ldif' mkdir='True'/>
        </container>
        <container name='fichier'>
            <file name='/etc/eole/ldapconf.conf'/>
            <package>eole-scribe-backend</package>
        </container>
    </containers>

    <variables>

        <family name='general'>
            <variable name='eole_module' redefine='True' >
                <value>scribe</value>
            </variable>
            <variable name='nombre_interfaces' redefine='True' mode='expert'/>
        </family>

        <family name='Interface-0'>
            <variable name='eth0_method' redefine='True' hidden='True'>
                <value>statique</value>
            </variable>
        </family>

        <family name='services'>
            <variable name='activer_mysql' redefine='True' hidden='True'/>
            <!-- service eole-sso local activé par défaut -->
            <variable name='activer_sso' redefine='True'>
                <value>local</value>
            </variable>
        </family>

        <family name='système'>

            <!-- We need to recalculate the variables -->
            <variable name='eole_lv_names' redefine='True' remove_check='True' />
            <variable name='eole_lv_standard_extends' redefine='True' remove_check='True' />

        </family>

        <family name='messagerie'>
            <variable name='exim_smarthost' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>

            <variable name='exim_ldap_delivery' redefine='True' hidden='True' remove_condition='True'>
                <value>oui</value>
            </variable>

            <variable name='activer_courier_imap_sso' redefine='True' mode='expert'/>
            <variable name='adresse_imap_sso' redefine='True' mode='expert'/>
        </family>

        <family name='eole sso'>
            <variable name='eolesso_ad' redefine="True">
                <value>oui</value>
            </variable>
        </family>

        <family name='clamav'>
            <variable name='exim_clamav' redefine='True'>
                <value>oui</value>
            </variable>
        </family>

        <family name="samba">
            <variable name='ead_support_multietab' redefine='True' hidden='False' auto_freeze='True'/>
        </family>

        <family name='proftpd'>
            <variable name='ftp_perso_ele' type='oui/non' description="Activer l'accès aux dossiers personnels des élèves pour les professeurs">
                <value>non</value>
            </variable>
        </family>

        <family name='ead-web' mode='expert'>
            <variable name='activer_ead_reverseproxy' redefine='True'>
                <value>oui</value>
            </variable>
        </family>

        <family name='ent' mode='expert' icon='reorder'>
            <variable name='synchro_aaf' type='string' description='Mode de synchronisation AAF'>
                <value>manuel</value>
            </variable>
            <variable name='synchro_aaf_sendmail' type='oui/non' description="Envoi d'un courrier électronique en cas d'erreur">
                <value>non</value>
            </variable>
            <variable name='synchro_aaf_mail' type='mail' description="Adresse(s) électronique(s) à utiliser" multi='True' mandatory='True'/>
        </family>

        <separators>
        </separators>

    </variables>

    <constraints>

        <check name='valid_enum' target='synchro_aaf'>
            <param>['automatique','manuel']</param>
        </check>
        <check name='valid_enum' target='activer_recuperation_courriel'>
            <param>['non', 'local']</param>
        </check>
        <fill name='concat' target='system_mail_to'>
            <param>admin@</param>
            <param type='eole'>domaine_messagerie_etab</param>
        </fill>
        <condition name='disabled_if_in' source='synchro_aaf_sendmail'>
            <param>non</param>
            <target type='variable'>synchro_aaf_mail</target>
        </condition>
        <fill name='calc_multi_val' target='synchro_aaf_mail'>
            <param type='eole'>system_mail_to</param>
        </fill>

        <fill name='calc_val' target='eolesso_ad_domain'>
            <param type='eole'>ad_domain</param>
        </fill>
        <fill name='calc_val' target='eolesso_ad_server'>
            <param type='eole'>ad_server</param>
        </fill>

        <!-- Default AmonEcole* logical volumes -->
        <auto name='calc_multi_val' target='eole_lv_names'>
            <param>root</param>
            <param>tmp</param>
            <param>var</param>
            <param>var+lib</param>
            <param>var+log</param>
            <param>home</param>
        </auto>

        <!-- Default AmonEcole* logical volumes extension: 100% /home -->
        <auto name='calc_multi_val' target='eole_lv_standard_extends'>
            <param type='number'>0</param>
            <param type='number'>0</param>
            <param type='number'>0</param>
            <param type='number'>0</param>
            <param type='number'>0</param>
            <param type='number'>100</param>
        </auto>

    </constraints>

    <help>
        <variable name='synchro_aaf'>Le module Zéphir permet de synchroniser les comptes depuis l'Annuaire Académique Fédérateur</variable>
        <variable name='synchro_aaf_sendmail'>Active l'envoi d'un courrier électronique en cas d'erreur lors de l'import AAF automatisé</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
